using System.Collections.Generic;

namespace BingoBrain.Core
{
    public static class Uncc<T>
    {
        private static readonly Jcna<List<T>> s_ListPool = new(null, Clear);

        private static void Clear(List<T> l)
        {
            l.Clear();
        }

        public static List<T> Get()
        {
            return s_ListPool.Get();
        }

        public static void Release(List<T> toRelease)
        {
            s_ListPool.Release(toRelease);
        }
    }
}